using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.WindowsMobile.Status;


namespace GameUtils
{
    class Headset
    {
        /// <summary>
        /// Checks the system property to see if the headset is present.
        /// </summary>
        /// <returns>true of the wired headset is plugged in</returns>
        public static bool HeadsetPresent()
        {
            // display the headset state
            bool gotHeadset =
                Convert.ToBoolean(SystemState.GetValue(
                SystemProperty.HeadsetPresent));
            return gotHeadset;
        }
    }
}
